---
title: Document.xmlVersion
slug: Web/API/Document/xmlVersion
tags:
  - API
  - DOM
  - DOM Reference
  - Obsolete
  - Property
  - Reference
---
<div>{{APIRef("DOM")}}{{ obsolete_header("10.0") }}</div>

<p>Returns the version number as specified in the XML declaration (e.g., <code>&lt;?xml version="1.0"?&gt;</code>) or "1.0" if the declaration is absent.</p>

<p>This attribute was never really useful, since it always returned 1.0, and has been removed in DOM Level 4. As such, Firefox 10 no longer implements it. Its primary use in the past was to detect whether or not the document was being rendered as XML rather than HTML. To detect this, you can create an element with its name in lower case, then check to see if it gets converted into all upper case (in which case the document is in the non-XML HTML mode):</p>

<pre class="brush: js">if (document.createElement("foo").tagName == "FOO") {
  /* Document is not XML */
}
</pre>

<h2 id="Specifications">Specifications</h2>

<ul>
 <li><a class="external" href="http://www.w3.org/TR/DOM-Level-3-Core/core.html#Document3-version" rel="freelink">http://www.w3.org/TR/DOM-Level-3-Cor...ument3-version</a></li>
 <li>This has been removed from {{ spec("http://www.w3.org/TR/domcore/","DOM Core Level 4","WD") }}</li>
</ul>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.Document.xmlVersion")}}</p>
